	package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class DistribusiAsetVO extends BaseTransactionVO {

	@Caption(value = "No Order")
	private String noOrder;

	@Caption(value = "Tgl Order")
	private Date tglKirim;

	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value = "Object Ruangan")
	private RuanganVO ruanganAsal;
	
	@ManyToOne
	@JoinColumn(name = "ObjectRuanganFk")
	@Caption(value = "Object Ruangan")
	private RuanganVO ruanganTujuan;

	@OneToMany
	private Set<DistribusiAsetDetailVO> distribusiAsetDetail = new HashSet<DistribusiAsetDetailVO>();

	public String getNoOrder() {
		return noOrder;
	}


	public void setNoOrder(String noOrder) {
		this.noOrder = noOrder;
	}


	public Date getTglKirim() {
		return tglKirim;
	}


	public void setTglKirim(Date tglKirim) {
		this.tglKirim = tglKirim;
	}


	public RuanganVO getRuanganAsal() {
		return ruanganAsal;
	}


	public void setRuanganAsal(RuanganVO ruanganAsal) {
		this.ruanganAsal = ruanganAsal;
	}


	public RuanganVO getRuanganTujuan() {
		return ruanganTujuan;
	}


	public void setRuanganTujuan(RuanganVO ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}


	public Set<DistribusiAsetDetailVO> getDistribusiAsetDetail() {
		return distribusiAsetDetail;
	}


	public void setDistribusiAsetDetail(Set<DistribusiAsetDetailVO> distribusiAsetDetail) {
		this.distribusiAsetDetail = distribusiAsetDetail;
	}

	
	

}
